Summary:	Library for getting and setting POSIX.1e capabilities
Name:		libcap
Group:		System Environment/Libraries
License:	BSD-like and LGPL
Version:	1.10
Release:	3
Source:		ftp://ftp.kernel.org/pub/linux/libraries/security/libcap/kernel-2.4/%{name}-%{version}.tar.bz2
Patch0:		libcap-1.10-shared.patch
Patch1:		libcap-1.10-use-PIC-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%files
  %defattr(0444,root,root,0555)
  %attr(0555,root,root)		%{_libdir}/libcap.so.%{version}
  %attr(0555,root,root)		%{_libdir}/libcap.so.1
  %attr(0500,root,root)		%{_sbindir}/*

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development files (Headers, libraries for static linking, etc) for libcap.

%files devel
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man2/*
  %doc %{_mandir}/man3/*

  %attr(0444,root,root)		%{_includedir}/sys/capability.h
  %attr(0555,root,root)		%{_libdir}/libcap.so

%prep
%setup -q
%patch0 -p1
%ifarch x86_64
%patch1 -p1
%endif

  perl -pi -e "s,^COPTFLAGS=.*,COPTFLAGS=$RPM_OPT_FLAGS,g" Make.Rules
  perl -pi -e 's,^man_prefix=.*,man_prefix=\$\(prefix)/share,g' Make.Rules

%build
  make prefix=%{_prefix} %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install prefix=%{_prefix} FAKEROOT=$RPM_BUILD_ROOT

  # Put 64bit libs where they belong.
%ifarch x86_64
  mkdir $RPM_BUILD_ROOT/%{_libdir}
  mv $RPM_BUILD_ROOT/%{_prefix}/lib/* $RPM_BUILD_ROOT/%{_libdir}
%endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 10 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.10, Release 3
  - x86_64 support.

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.10, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.10, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
